 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: DateTimeFormatItems
  * Author:   Louis
  * Date:     2021/11/15 10:55
  */
 package com.eco.plugin.zgtpbxdate.items;

 import com.fr.design.designer.properties.items.Item;
 import com.fr.design.designer.properties.items.ItemProvider;
 import com.fr.design.i18n.Toolkit;

 /**
  * <Function Description><br>
  * <DateTimeFormatItems>
  *
  * @author wink
  * @since 1.0.0
  */
 public class DateTimeFormatItems implements ItemProvider {
     public static Item[] DATETIME_ITEMS = new Item[]{
             new Item(Toolkit.i18nText("Plugin-abege-Date_Format_DateTime"), "datetime"),
             new Item(Toolkit.i18nText("Plugin-abege-Date_Format_DateTimeRange"), "datetimerange"),
             new Item(Toolkit.i18nText("Plugin-abege-Date_Format_DateRange"), "daterange"),
     };

     public DateTimeFormatItems() {
     }

     @Override
     public Item[] getItems() {
         return DATETIME_ITEMS;
     }
 }