 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: VueParameterWidgetOptionProvider
  * Author:   Louis
  * Date:     2021/11/5 16:32
  */
 package com.eco.plugin.zgtpbxdate.provider;

 import com.eco.plugin.zgtpbxdate.creator.XVueDateEditor;
 import com.eco.plugin.zgtpbxdate.widget.VueDateEditor;
 import com.fr.design.fun.impl.AbstractParameterWidgetOptionProvider;
 import com.fr.form.ui.Widget;

 public class VueParameterWidgetOptionProvider extends AbstractParameterWidgetOptionProvider {

     @Override
     public Class<? extends Widget> classForWidget() {
         return VueDateEditor.class;
     }

     @Override
     public Class<?> appearanceForWidget() {
         return XVueDateEditor.class;
     }

    @Override
    public String iconPathForWidget() {
        return "com/fr/design/images/buttonicon/widget/date_16.png";
    }

    @Override
    public String nameForWidget() {
        return "自定义日期控件";
    }

}
