package com.eco.plugin.zgtpbxdate.pane.self;

import com.fr.design.designer.creator.XCreator;
import com.fr.design.gui.icheckbox.UICheckBox;
import com.fr.design.gui.ilable.UILabel;
import com.fr.design.i18n.Toolkit;
import com.fr.design.layout.FRGUIPaneFactory;
import com.fr.design.layout.TableLayoutHelper;
import com.fr.design.utils.gui.GUICoreUtils;
import com.fr.design.widget.ui.designer.component.FormWidgetValuePane;
import com.fr.form.ui.DirectWriteEditor;

import javax.swing.*;
import java.awt.*;

public abstract class DirectWriteEditorDefinePane<T extends DirectWriteEditor> extends FieldEditorDefinePane<T> {
    public UICheckBox directWriteCheckBox;
    protected FormWidgetValuePane formWidgetValuePane;

    public DirectWriteEditorDefinePane(XCreator var1) {
        super(var1);
    }

    protected JPanel setFirstContentPane() {
        JPanel var1 = FRGUIPaneFactory.createBorderLayout_S_Pane();
        UILabel var2 = new UILabel(Toolkit.i18nText("Fine-Design_Form_Estate_Widget_Value"));
        var2.setVerticalAlignment(1);
        this.formWidgetValuePane = new FormWidgetValuePane(this.creator.toData(), false);
        Component[] var3 = new Component[]{this.createRepeatCheckBox(), null};
        Component[] var4 = this.createDictPane();
        Component[] var5 = this.createWaterMarkPane();
        double var6 = -1.0D;
        double var8 = -2.0D;
        Component[][] var10 = new Component[][]{{new UILabel(Toolkit.i18nText("Fine-Design_Form_Label_Name")), this.labelNameTextField}, {var2, this.formWidgetValuePane}, var4, var3, var5, {new UILabel(Toolkit.i18nText("Fine-Design_Form_Font_Size")), this.fontSizePane}};
        double[] var11 = new double[]{var8, var8, var8, var8, var8, var8, var8, var8};
        double[] var12 = new double[]{var8, var6};
        int[][] var13 = new int[][]{{1, 1}, {1, 3}, {1, 1}, {1, 1}, {1, 1}, {1, 1}};
        JPanel var14 = TableLayoutHelper.createGapTableLayoutPane(var10, var11, var12, var13, 25.0D, 10.0D);
        var1.add(var14, "North");
        JPanel var15 = this.createOtherPane();
        if (var15 != null) {
            var1.add(var15, "Center");
        }

        return var1;
    }

    public UICheckBox createRepeatCheckBox() {
        return null;
    }

    public Component[] createWaterMarkPane() {
        return new Component[]{null, null};
    }

    protected Component[] createDictPane() {
        return new Component[]{null, null};
    }

    public JPanel createOtherPane() {
        return null;
    }

    public JPanel setValidatePane() {
        this.directWriteCheckBox = new UICheckBox(Toolkit.i18nText("Fine-Design_Form_Allow_Edit"), false);
        this.directWriteCheckBox.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
        JPanel var1 = FRGUIPaneFactory.createY_AXISBoxInnerContainer_S_Pane();
        var1.setBorder(BorderFactory.createEmptyBorder(0, 0, 10, 0));
        JPanel var2 = GUICoreUtils.createFlowPane(new JComponent[]{this.directWriteCheckBox}, 0, 0);
        var1.add(var2);
        return var1;
    }

    protected void populateSubFieldEditorBean(T var1) {
//        this.directWriteCheckBox.setSelected(var1.isDirectEdit());
        this.populateSubDirectWriteEditorBean(var1);
    }

    protected abstract void populateSubDirectWriteEditorBean(T var1);

    protected T updateSubFieldEditorBean() {
        DirectWriteEditor var1 = this.updateSubDirectWriteEditorBean();
//        var1.setDirectEdit(this.directWriteCheckBox.isSelected());
        return (T) var1;
    }

    protected abstract T updateSubDirectWriteEditorBean();
}
