var i = 0;

window.onload=function (){
    var timer = setInterval(function(){
        var dom = $(".c-datepicker-date-editor");
        if(dom.length > 0){
            $('.J-datepicker-range-day').datePicker({
                hasShortcut: true,
                format: 'YYYY-MM-DD',
                isRange: true,
                shortcutOptions: DATAPICKERAPI.rangeShortcutOption1
            });
            clearInterval(timer)
        }
        }, 500)
}
;
;(function ($) {
    FR.VueDateTimeEditor = FR.extend(FR.DateTimeEditor, {
        _defaultConfig: function () {
            return $.extend(FR.VueDateTimeEditor.superclass._defaultConfig.apply(), {
                format: "yyyy-MM-dd",
                directEdit: true
            })
        },
        uuid: function () {
            var s = [];
            var hexDigits = "0123456789abcdef";
            for (var i = 0; i < 12; i++) {
                s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
            }
            var uuid = 'vue' + s.join("");
            return uuid;
        },
        _init: function () {
            try {
                FR.VueDateTimeEditor.superclass._init.apply(this, arguments);
                this._hideView();
                // FR.$defaultImport('/com/fr/plugin/abege/css/index.min.css', 'css');
                var dom = this.element;
                var id = this.options.location = this.options.location || this.uuid();
                $(dom).attr("id", id);
                var d = $("#" + id)
                if (d[0]) {
                    this._realInit();
                } else {
                    this._initMe();
                }

                this.editComp.keydown(function (c) {
                    a.editComp[0].realValue = null
                });
                $(this.editComp).keyup(function () {
                    if ($(this).val() == a.oriText) {
                        return
                    }
                    a.isValidateInput();
                    a.oriText = $(this).val();
                    a.fireEvent(FR.Events.AFTEREDIT)
                });
            } catch (e) {
                console.error(e);
            }
        },
        onTriggerClick: function (a) {
            if (!this.isEnabled()) {
                return
            }
            if (document.activeElement != this.editComp[0]) {
                this.editComp.focus()
            }
            if (this.isExpanded()) {
                if (FR.Browser.isIE8() && this.$view.css("visibility") == "hidden") {
                    this.$view.css("visibility", "visible")
                } else {
                    this.$view.show()
                }
            } else {
                this.$view.empty();
                this._createCalendar()
            }
        },
        reportEdit: function () {
            var that = this;
            setTimeout(function () {
                that.fireEvent(FR.Events.AFTEREDIT);
            }, 300)
        },
        _realInit: function () {
            this._showView();
            $(this.element).css("overflow", "unset")
            var opt = this.options;
            var id = opt.location;
            opt.index = i;
            var width = opt.width;
            var eachWidth = width/2.5
            var height = opt.height
            var dom = $('#' + id);
            $(dom).html("<div style='width:"+width+"px;height:"+height+"px;line-height: "+height+"px' class=\"c-datepicker-date-editor  J-datepicker-range-day \" onclick=\"changeUI("+i+")\">\n" +
                "        <input id=\"startTime"+i+"\" style='width:"+eachWidth+"px;color:black' placeholder=\"开始日期\" name=\"\" class=\"c-datepicker-data-input only-date\" value=\"\" readonly>\n" +
                "        <span  class=\"c-datepicker-range-separator only-date\">~</span>\n" +
                "        <input id=\"endTime"+i+"\" style='width:"+eachWidth+"px;color:black' placeholder=\"结束日期\" name=\"\" class=\"c-datepicker-data-input only-date\" value=\"\" readonly>\n" +
                "      </div>");

            i++;

        },
        _initMe: function () {
            var id = this.options.location;
            var that = this;
            var intc = setTimeout(function () {
                var dom = $("#" + id);

                if (dom[0]) {
                    that._realInit();
                } else {
                    that._initMe();
                }
            }, 100)
        },
        setText: function (text) {
            this.editComp.val(1111);
        },
        _hideView: function () {
            if (FR.Browser.isIE8()) {
                this.element.css("visibility", "hidden");
            } else {
                this.element.hide();
            }
        },
        _showView: function () {
            if (FR.Browser.isIE8()) {
                this.element.css("visibility", "show");
            } else {
                var id = this.options.location;
                $("#" + id).show();
            }
        },
        setValue: function (value) {
            try {
                if (value) {
                    this.app.$refs.vueDateTime.value = value;
                }
            } catch (e) {
                console.error(e);
            }
        },
        startEditing: function () {
            this._showView()
        },
        stopEditing: function () {
        },
        getValue: function () {
            var opt = this.options;
            var id = opt.index;
            let startTime = $('#startTime'+id).val();
            let endTime = $('#endTime'+id).val();
            var tmpDateArr = [];

            console.info(startTime);
            if(startTime){
                tmpDateArr.push(startTime);
            }else{
                tmpDateArr.push("");
            }


            if(endTime){
                tmpDateArr.push(endTime);
            }else{
                tmpDateArr.push("");
            }

            if(!startTime && !endTime){
                var tmpDateArr = [];
            }

            if (this.options.returnType === 'string') {
                return tmpDateArr;
            } else {
                var format = this.options.format;
                var result = FR.date2Str(tmpDate, format);
                return (result == null) ? "" : result;
            }
        },
    });
    $.shortcut("custom_datetime", FR.VueDateTimeEditor);


})(jQuery);
(function ($) {
    !(function () {
        try {
            var provider = BI.Providers.getProvider("report.controller.provider");
        } catch (e) {
            return;
        }
        var ImplClass = provider.getImpl();
        var Widget = BI.inherit(ImplClass, {
            mounted: function () {
                this.widget = FR.createWidget(BI.extend({}, this.options, {
                    type: 'custom_datetime',
                    renderEl: this.element[0],
                }));

                Widget.superclass.mounted.apply(this, arguments);
            },
            isValidate: function () {
                return true;
            },
            focusDown: function () {
                return (this.widget && this.widget.focusDown.apply(this.widget, arguments))
            },
            getValue: function () {
                return (this.widget && this.widget.getValue.apply(this.widget, arguments))
            },
            reset: function () {
                return (this.widget && this.widget.reset.apply(this.widget, arguments))
            },
            preGetValidation: function () {
                return {result: this.isValidate.apply(this, arguments)}
            },
            postGetValidation: function () {
                return {result: this.isValidate.apply(this, arguments)}
            },
            setInteractValue: function () {
                this.widget && this.widget.setValue.apply(this.widget, arguments)
            },
            setControllerValue: function () {
                this.widget && this.widget.setValue.apply(this.widget, arguments)
            },
            resize: function (width, height) {
                this.widget && this.widget.doResize({
                    width: width, height: height
                });
            }
        });
        Widget.xtype = "custom_datetime";
        BI.shortcut(Widget.xtype, Widget);
        provider.set('custom_datetime', Widget.xtype);
    })();
})(jQuery);